Page 31 of 48 FirstFirst ... 21293031323341 ... LastLast
Results 451 to 465 of 713

Thread: New oleg firmware version

  1. #451
    Join Date
    Aug 2008
    Location
    Poland, Bia³a Podlaska
    Posts
    277
    http://lists.busybox.net/pipermail/b...st/000145.html
    http://old.nabble.com/gcc-4.1.1-and-...td5744269.html

    Exceptions are not working in optware's buildroot package's gcc.

    How can I in other way compile my program?

  2. #452
    Join Date
    Nov 2006
    Location
    Russia, Moscow
    Posts
    3,420
    Quote Originally Posted by Lesiuk View Post
    http://lists.busybox.net/pipermail/b...st/000145.html
    http://old.nabble.com/gcc-4.1.1-and-...td5744269.html

    Exceptions are not working in optware's buildroot package's gcc.

    How can I in other way compile my program?
    I wrote it many times - since nobody from optware team want(can) update buildroot, you have to use our cross-toolchain.

  3. #453
    Join Date
    Aug 2008
    Location
    Poland, Bia³a Podlaska
    Posts
    277
    Quote Originally Posted by lly View Post
    I wrote it many times - since nobody from optware team want(can) update buildroot, you have to use our cross-toolchain.
    Ok, so how can i use it?

    Can you give me some tips or links?

    My programs Makefile looks like that
    Code:
    CC=g++
    CFLAGS=-c -g
    LDFLAGS=-lsqlite3 -lcurl -lpthread
    SOURCES=main.cc CppSQLite3.cc addons.cc 4chan.cc md5.cc baza.cc
    OBJECTS=$(SOURCES:.cc=.o)
    EXECUTABLE=skit
    
    all: $(SOURCES) $(EXECUTABLE)
    	
    $(EXECUTABLE): $(OBJECTS) 
    	$(CC) $(LDFLAGS) $(OBJECTS) -o $@
    
    .cc.o:
    	$(CC) $(CFLAGS) $< -o $@
    
    clean:
    	rm -rf $(OBJECTS) $(EXECUTABLE)
    How can i compile it with that toolchain?

    I builded it with binary from hndtools-mipsel-uclibc/bin and "./program: can't load library 'libstdc++.so.6'"
    hndtools-mipsel-uclibc-4.3.5/mipsel-linux-uclibc/bin "g++: error trying to exec 'cc1plus': execvp: No such file or directory"

    I am a completely newbie when it comes to compile anything under Linux.
    Last edited by Lesiuk; 23-06-2010 at 12:46.

  4. #454
    Join Date
    Dec 2007
    Location
    The Netherlands - Eindhoven
    Posts
    1,760
    presuming you have the toolchain installed: http://code.google.com/p/wl500g/wiki...CustomFirmware

    you can directly link CC to the c++ compiler in the folder /opt/brcm/hndtools-mipsel-uclibc/bin/g++ (I believe, I'm not on linux right now, so you might need to check that)

    or if you've exported the path you can just do
    CC=mipsel-linux
    (I thought)

    Code:
    CC=/opt/brcm/hndtools-mipsel-uclibc/bin/g++
    CFLAGS=-c -g
    LDFLAGS=-lsqlite3 -lcurl -lpthread
    SOURCES=main.cc CppSQLite3.cc addons.cc 4chan.cc md5.cc baza.cc
    OBJECTS=$(SOURCES:.cc=.o)
    EXECUTABLE=skit
    
    all: $(SOURCES) $(EXECUTABLE)
    	
    $(EXECUTABLE): $(OBJECTS) 
    	$(CC) $(LDFLAGS) $(OBJECTS) -o $@
    
    .cc.o:
    	$(CC) $(CFLAGS) $< -o $@
    
    clean:
    	rm -rf $(OBJECTS) $(EXECUTABLE)
    anyway, you might need to compile other libraries as well, since the toolchain doesn't use libraries from your linux distro you're working on.

    buildroot is not really complete for c++, but ordinary c works pretty good

  5. #455

    Unhappy error on build

    hello,
    i'm trying to build the firmware from source for wl500gx, since it's not included in core.dumped.ru - by the way - who can i ask to provide builds for this platform since here in Romania there are still plenty of second hand units to buy on online markets okazii.ro

    So i get the following error in the lasts step on "make" command in /gateway folder:
    Code:
    decompress.c:35:24: error: LzmaDecode.h: No such file or directory
    decompress.c:90: error: expected declaration specifiers or '...' before 'UInt32'
    decompress.c: In function 'read_byte':
    decompress.c:99: error: 'bufferSize' undeclared (first use in this function)
    decompress.c:99: error: (Each undeclared identifier is reported only once
    decompress.c:99: error: for each function it appears in.)
    decompress.c:102: error: 'LZMA_RESULT_OK' undeclared (first use in this function)
    decompress.c: In function 'get_byte':
    decompress.c:108: error: 'UInt32' undeclared (first use in this function)
    decompress.c:108: error: expected ';' before 'fake'
    decompress.c:110: error: 'fake' undeclared (first use in this function)
    decompress.c:110: error: too many arguments to function 'read_byte'
    decompress.c: In function 'entry':
    decompress.c:119: error: 'CLzmaDecoderState' undeclared (first use in this function)
    decompress.c:119: error: expected ';' before 'vs'
    decompress.c:120: error: 'ILzmaInCallback' undeclared (first use in this function)
    decompress.c:120: error: expected ';' before 'callback'
    decompress.c:124: error: 'callback' undeclared (first use in this function)
    decompress.c:136: error: 'vs' undeclared (first use in this function)
    decompress.c:136: warning: left-hand operand of comma expression has no effect
    decompress.c:136: warning: value computed is not used
    decompress.c:137: warning: left-hand operand of comma expression has no effect
    decompress.c:153: error: 'CProb' undeclared (first use in this function)
    decompress.c:153: error: expected expression before ')' token
    decompress.c:155: warning: implicit declaration of function 'LzmaDecode'
    decompress.c:156: error: 'LZMA_RESULT_OK' undeclared (first use in this function)
    make[1]: *** [decompress.o] Error 1
    make[1]: Leaving directory `/whatever-you-want/broadcom/src/gateway/loader'
    make: *** [loader] Error 2
    that's happening since I've downloaded also the rtn branch and tried to build the k26 for gx. the cuurrent svn is 1722
    but i've deleted the gateway folder and run make again in 1.9.2.7-d folder
    I've previously build d1705 with success
    thanks

    LATER EDIT:
    My mistake, i had both rtn and d in the same src folder :P
    Last edited by maurer; 02-07-2010 at 15:20. Reason: fix

  6. #456
    Join Date
    Nov 2006
    Location
    Russia, Moscow
    Posts
    3,420
    Quote Originally Posted by maurer View Post
    hello,
    i'm trying to build the firmware from source for wl500gx, since it's not included in core.dumped.ru
    In case of we speak about -d branch, you can ask him (Unlimited) yourself, or I can do it for you. Write me your decision.
    that's happening since I've downloaded also the rtn branch and tried to build the k26 for gx.
    K26 for gx is totally untested, be careful.

  7. #457

    Thumbs up

    Quote Originally Posted by lly View Post
    In case of we speak about -d branch, you can ask him (Unlimited) yourself, or I can do it for you. Write me your decision.
    please ask him.
    i could not find him on the forum.
    thank you very much!

  8. #458
    Join Date
    Dec 2007
    Location
    The Netherlands - Eindhoven
    Posts
    1,760
    Quote Originally Posted by maurer View Post
    please ask him.
    i could not find him on the forum.
    thank you very much!
    http://wl500g.info/member.php?u=21015

    just look at the members list (in the upper part of this site you'll find the link)
    then just press the "search members" button on the right on the member page

  9. #459
    Join Date
    Dec 2007
    Location
    The Netherlands - Eindhoven
    Posts
    1,760
    http://blogs.forbes.com/firewall/201...e-to-web-hack/

    maybe something to watch hence a good old WL-520gU is vurnable, as wel as openwrt.

  10. #460

    kernel patch error

    hi,

    i'm trying to compile the rt-n code and i get:
    Can not apply kernel-2.6/230-usb-backport-2_6_33.patch cleanly
    make: *** [kernel-patch] Error 1
    do you have any idea why?

  11. #461
    Join Date
    Nov 2006
    Location
    Russia, Moscow
    Posts
    3,420
    Quote Originally Posted by maurer View Post
    i'm trying to compile the rt-n code and i get:
    Please, be patient
    Fixed in r1815

  12. #462
    Quote Originally Posted by lly View Post
    Please, be patient
    Fixed in r1815
    ok, so i tried to compile the rtn code for wl-500gx platform (I know it's vintage )
    and i got the following error message at the end:
    fread failure or file "/rtn/broadcom/src/gateway/mipsel-uclibc/target.cramfs" too large
    make: *** [package-WL500gx] Error 1

  13. #463
    Join Date
    Nov 2006
    Location
    Russia, Moscow
    Posts
    3,420
    Quote Originally Posted by maurer View Post
    ok, so i tried to compile the rtn code for wl-500gx platform (I know it's vintage )
    You have to exclude some packages by tuning either gateway/.config or gateway/Makefile

  14. #464
    Quote Originally Posted by lly View Post
    You have to exclude some packages by tuning either gateway/.config or gateway/Makefile
    can you tell me what are the packages ?

  15. #465
    Join Date
    Nov 2006
    Location
    Russia, Moscow
    Posts
    3,420
    Quote Originally Posted by maurer View Post
    can you tell me what are the packages ?
    It's up to you. You mustn't turn off busybox, rc & loader, other packages from "Asus stuff" & "Custom firmware features" sections are not so significant.

Page 31 of 48 FirstFirst ... 21293031323341 ... LastLast

Similar Threads

  1. Probleme mit der Oleg firmware
    By errox in forum German Discussion - Deutsch (DE)
    Replies: 15
    Last Post: 14-06-2008, 22:26
  2. new firmware 1.9.2.7-8 by oleg
    By alien433 in forum WL-500gP Firmware Discussion
    Replies: 31
    Last Post: 24-01-2008, 20:31
  3. Oleg firmware not working.
    By wpte in forum WL-500gP Q&A
    Replies: 6
    Last Post: 07-01-2008, 12:48
  4. C Compiler voor de oleg firmware
    By wouzs in forum Dutch Discussion - Nederlands
    Replies: 1
    Last Post: 28-10-2007, 15:57

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •